Cria uma nova etapa no pipeline
curl --request POST \
--url https://api-publica.cpluschat.com.br/v1/pipelines/{idPipeline}/etapas \
--header 'Content-Type: application/json' \
--header 'X-Ambiente: <api-key>' \
--header 'X-Authorization: <api-key>' \
--data '
{
"Nome": "<string>",
"Tipo": "<string>",
"Descricao": "<string>",
"Ordem": 123,
"CorHex": "<string>"
}
'import requests
url = "https://api-publica.cpluschat.com.br/v1/pipelines/{idPipeline}/etapas"
payload = {
"Nome": "<string>",
"Tipo": "<string>",
"Descricao": "<string>",
"Ordem": 123,
"CorHex": "<string>"
}
headers = {
"X-Ambiente": "<api-key>",
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Ambiente': '<api-key>',
'X-Authorization': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Nome: '<string>',
Tipo: '<string>',
Descricao: '<string>',
Ordem: 123,
CorHex: '<string>'
})
};
fetch('https://api-publica.cpluschat.com.br/v1/pipelines/{idPipeline}/etapas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Ordem": 123,
"Nome": "<string>",
"Descricao": "<string>",
"Tipo": "<string>",
"CorHex": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Pipelines
Criar etapa no pipeline
Se ‘ordem’ não for informada, a etapa é adicionada ao final. Se informada e já existir, as etapas seguintes têm sua ordem incrementada em 1.
POST
/
v1
/
pipelines
/
{idPipeline}
/
etapas
Cria uma nova etapa no pipeline
Authorizations
Número da sua conta no Novus CRM. Aceita também X-Canal com o ID de um canal, que resolve a conta a partir dele.
Chave de API no formato X-Chave-Api {chave}. O prefixo faz parte do valor. A chave fica em Minha conta › Integrações.
Path Parameters
Body
application/json
⌘I